com.fasterxml.jackson.databind.introspect

## Class Annotated

- java.lang.Object
- - com.fasterxml.jackson.databind.introspect.Annotated

Direct Known Subclasses:
  AnnotatedClass, AnnotatedMember

    public abstract class Annotated
    extends Object

Shared base class used for anything on which annotations (included within a `AnnotationMap`).

### Constructor Summary

Constructors
`protected` `Annotated()`

### Method Summary

Methods
`abstract Iterable<Annotation>` `annotations()` Accessor that can be used to iterate over all the annotations associated with annotated component.
`abstract boolean` `equals(Object o)`
`protected abstract AnnotationMap` `getAllAnnotations()` Internal helper method used to access annotation information; not exposed to developers since instances are mutable.
`abstract AnnotatedElement` `getAnnotated()` Method that can be used to find actual JDK element that this instance represents.
`abstract <A extends Annotation> A` `getAnnotation(Class<A> acls)`
`Type` `getGenericType()` Deprecated. Since 2.7 should instead use `getType()`. To be removed from 2.8
`protected abstract int` `getModifiers()`
`abstract String` `getName()`
`abstract Class<?>` `getRawType()` "Raw" type (type-erased class) of the annotated element; definition of what exactly this means depends on sub-class.
`abstract JavaType` `getType()` Full generic type of the annotated element; definition of what exactly this means depends on sub-class.
`JavaType` `getType(TypeBindings bogus)` Deprecated. Since 2.7 Use `getType()` instead. To be removed from 2.8.
`abstract boolean` `hasAnnotation(Class<?> acls)`
`abstract int` `hashCode()`
`abstract boolean` `hasOneOf(Class<? extends Annotation>[] annoClasses)`
`boolean` `isPublic()`
`abstract String` `toString()`
`abstract Annotated` `withAnnotations(AnnotationMap fallback)` Fluent factory method that will construct a new instance that uses specified instance annotations instead of currently configured ones.
`Annotated` `withFallBackAnnotationsFrom(Annotated annotated)` Fluent factory method that will construct a new instance that uses annotations from specified `Annotated` as fallback annotations

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Annotated

    protected Annotated()

### Method Detail

#### getAnnotation

    public abstract <A extends Annotation> A getAnnotation(Class<A> acls)

#### hasAnnotation

    public abstract boolean hasAnnotation(Class<?> acls)

#### hasOneOf

    public abstract boolean hasOneOf(Class<? extends Annotation>[] annoClasses)

Since:
  2.7

#### withAnnotations

    public abstract Annotated withAnnotations(AnnotationMap fallback)

Fluent factory method that will construct a new instance that uses specified instance annotations instead of currently configured ones.

#### withFallBackAnnotationsFrom

    public final Annotated withFallBackAnnotationsFrom(Annotated annotated)

Fluent factory method that will construct a new instance that uses annotations from specified `Annotated` as fallback annotations

#### getAnnotated

    public abstract AnnotatedElement getAnnotated()

Method that can be used to find actual JDK element that this instance represents. It is non-null, except for method/constructor parameters which do not have a JDK counterpart.

#### getModifiers

    protected abstract int getModifiers()

#### isPublic

    public final boolean isPublic()

#### getName

    public abstract String getName()

#### getType

    public abstract JavaType getType()

Full generic type of the annotated element; definition of what exactly this means depends on sub-class.

Since:
  2.7

#### getType

    @Deprecated
    public final JavaType getType(TypeBindings bogus)

Deprecated. Since 2.7 Use `getType()` instead. To be removed from 2.8.

#### getGenericType

    @Deprecated
    public Type getGenericType()

Deprecated. Since 2.7 should instead use `getType()`. To be removed from 2.8
JDK declared generic type of the annotated element; definition of what exactly this means depends on sub-class. Note that such type can not be reliably resolved without `TypeResolutionContext`, and as a result use of this method was deprecated in Jackson 2.7: see `getType()` for replacement.

#### getRawType

    public abstract Class<?> getRawType()

"Raw" type (type-erased class) of the annotated element; definition of what exactly this means depends on sub-class.

#### annotations

    public abstract Iterable<Annotation> annotations()

Accessor that can be used to iterate over all the annotations associated with annotated component.

Since:
  2.3

#### getAllAnnotations

    protected abstract AnnotationMap getAllAnnotations()

Internal helper method used to access annotation information; not exposed to developers since instances are mutable.

#### equals

    public abstract boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public abstract int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public abstract String toString()

Overrides:
  `toString` in class `Object`